# AngularJS

{% hint style="warning" %}
AngularJS support has officially ended as of January 2022 <https://docs.angularjs.org/misc/version-support-status>
{% endhint %}

The example below is a foundational template for your experimentation. Please note that this framework is deprecated, as mentioned in the message above.

```html
<div ng-app="pixelStreamingApp" ng-controller="PixelStreamingCtrl" id="video-container">
  <!-- Pixel Streaming application will be appended here -->
</div>
```

```javascript
import { ArcwareInit } from "@arcware-cloud/pixelstreaming-websdk";


angular.module('pixelStreamingApp', [])
  .controller('PixelStreamingCtrl', ['$scope', function($scope) {
    // Initialization logic here
    const { Config, PixelStreaming, Application } = ArcwareInit(
        {
          shareId: "<your-shareId-goes-here>"
        },
        {
          initialSettings: {
            StartVideoMuted: true,
            AutoConnect: true,
            AutoPlayVideo: true
          },
          settings: {
            infoButton: true,
            micButton: true,
            audioButton: true,
            fullscreenButton: true,
            settingsButton: true,
            connectionStrengthIcon: true
          },
        }
      );

    $scope.$on('$viewContentLoaded', function() {
      var videoContainer = document.getElementById("video-container");
      videoContainer.appendChild(Application.rootElement);
    });

    Application.getApplicationResponse(function(response) {
      $scope.$apply(function() {
        $scope.applicationResponse = response;
      });
    });
  }]);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arcware.cloud/web-integration/angularjs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
